%plotscript for multiple graphs in each figure.
% midmoments


file1='FFT1000';
file2='FFT500';
file3='EAP75';
file4='EAP100';
file5='EAP200';
file6='FFTrf75';
file7='FFTrf100';
file8='FFTrf200';
file9='FFTrf1000';
file10='FFTrfa75';
file11='FFTrfa100';
file12='FFTrfa200';
file13='FFTrfa1000';
file14='grid200';
file15='grid200_1';
file16='collective';

s1='Sheet1';
s2='Sheet2';
s3='Sheet3';
s4='Sheet4';
s5='Sheet5';
s6='Sheet6';

% FFT

i=1;
col1='r.';
col2='r--';
sE=xlsread(file1,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFT 1000 and 500 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file1,{'90% perc'},s6,'F25');
xlswrite(file1,extr_perc,s6,'G25');



i=0;
col1='g.';
col2='g--';
sE=xlsread(file2,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFT 1000 and 500 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file2,{'90% perc'},s6,'F25');
xlswrite(file2,extr_perc,s6,'G25');


%EAP

i=1;
col1='r.';
col2='r--';
sE=xlsread(file3,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz EAP 75,100,200 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file3,{'90% perc'},s6,'F25');
xlswrite(file3,extr_perc,s6,'G25');

i=1;
col1='m.';
col2='m--';
sE=xlsread(file4,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz EAP 75,100,200 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file4,{'90% perc'},s6,'F25');
xlswrite(file4,extr_perc,s6,'G25');

i=0;
col1='g.';
col2='g--';
sE=xlsread(file5,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz EAP 75,100,200 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file5,{'90% perc'},s6,'F25');
xlswrite(file5,extr_perc,s6,'G25');

% FFTrf

i=1;
col1='r.';
col2='r--';
sE=xlsread(file6,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrf 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file6,{'90% perc'},s6,'F25');
xlswrite(file6,extr_perc,s6,'G25');

i=1;
col1='m.';
col2='m--';
sE=xlsread(file7,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrf 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file7,{'90% perc'},s6,'F25');
xlswrite(file7,extr_perc,s6,'G25');

i=1;
col1='k.';
col2='k--';
sE=xlsread(file8,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrf 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file8,{'90% perc'},s6,'F25');
xlswrite(file8,extr_perc,s6,'G25');

i=0;
col1='g.';
col2='g--';
sE=xlsread(file9,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrf 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file9,{'90% perc'},s6,'F25');
xlswrite(file9,extr_perc,s6,'G25');

% FFTrfa
i=1;
col1='r.';
col2='r--';
sE=xlsread(file10,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrfa 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file10,{'90% perc'},s6,'F25');
xlswrite(file10,extr_perc,s6,'G25');

i=1;
col1='m.';
col2='m--';
sE=xlsread(file11,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrfa 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file11,{'90% perc'},s6,'F25');
xlswrite(file11,extr_perc,s6,'G25');

i=1;
col1='k.';
col2='k--';
sE=xlsread(file12,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrfa 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file12,{'90% perc'},s6,'F25');
xlswrite(file12,extr_perc,s6,'G25');

i=0;
col1='g.';
col2='g--';
sE=xlsread(file13,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz FFTrfa 75,100,200,1000 components'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file13,{'90% perc'},s6,'F25');
xlswrite(file13,extr_perc,s6,'G25');

% gridwave
i=1;
col1='k.';
col2='k--';
sE=xlsread(file14,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz Gridwave 200 components, dx5 & dx10'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file14,{'90% perc'},s6,'F25');
xlswrite(file14,extr_perc,s6,'G25');

i=0;
col1='g.';
col2='g--';
sE=xlsread(file15,s6, 'E3:E22');
name1={'Midmoment Mz'};
name2={'Gumbelplot Midmoment Mz Gridwave 200 components, dx5 & dx10'};
out=ygumb2(sE,name1,name2,i,col1,col2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file15,{'90% perc'},s6,'F25');
xlswrite(file15,extr_perc,s6,'G25');